using KarleyLibrary.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Models
{
    public class KundenArtikelHistorie
    {
        [CompareField("BPOS_A_ARTIKELNR")]
        public string Artikelnummer { get; set; }
        [CompareField("BPOS_N_NR")]
        public int Belegnummer { get; set; }
        [CompareField("BPOS_A_TYP")]
        public string Belegtyp { get; set; }
        [CompareField("BPOS_N_MENGE")]
        public decimal Menge { get; set; }
        [CompareField("BPOS_N_PREIS")]
        public decimal Preis { get; set; }
        [CompareField("BELE_D_DATE")]
        public DateTime Datum { get; set; }
        [CompareField("BPOS_N_MENGEGELIEF")]
        public decimal MengeGeliefert { get; set; }
        [CompareField("BPOS_A_BEZ1")]
        public string Bezeichnung1 { get; set; }
        [CompareField("BPOS_A_BEZ2")]
        public string Bezeichnung2 { get; set; }
    }
}
